Class | Tk::BWidget::PanelFrame
In: | tk/lib/tkextlib/bwidget/panelframe.rb
Parent: | TkWindow

### Methods

add delete get_frame items remove

### Constants

TkCommandNames | = | ['PanelFrame'.freeze].freeze
WidgetClassName | = | 'PanelFrame'.freeze

### Public Instance methods

add(win, keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/panelframe.rb, line 27
      def add(win, keys={})
        tk_send('add', win, keys)
        self
      end

delete(*wins)

[Source]

    # File tk/lib/tkextlib/bwidget/panelframe.rb, line 32
      def delete(*wins)
        tk_send('delete', *wins)
        self
      end

get_frame(&b)

[Source]

    # File tk/lib/tkextlib/bwidget/panelframe.rb, line 37
      def get_frame(&b)
        win = window(tk_send_without_enc('getframe'))
        win.instance_eval(&b) if b
        win
      end

items()

[Source]

    # File tk/lib/tkextlib/bwidget/panelframe.rb, line 43
      def items
        list(tk_send('items'))
      end

remove(*wins)

[Source]

    # File tk/lib/tkextlib/bwidget/panelframe.rb, line 47
      def remove(*wins)
        tk_send('remove', *wins)
        self
      end

[Validate]